Bug 798825 - Segfault running python /usr/bin/sugar-session
Segfault running python /usr/bin/sugar-session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 20:29 EST by satellitgo
Modified: 2013-07-31 15:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:17:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ABRt error messages (12.85 KB, text/plain)
2012-02-29 20:29 EST, satellitgo
no flags Details
Bugzilla would not log me in - text copy of errors (56.69 KB, text/plain)
2012-03-01 12:31 EST, satellitgo
no flags Details
net install of 5 desktops. Sugar fails to start (48.43 KB, text/plain)
2012-03-06 05:46 EST, satellitgo
no flags Details

  None (edit)
Description satellitgo 2012-02-29 20:29:36 EST
Created attachment 566690 [details]
ABRt error messages

Description of problem:
Sugar will not start - restarts to gdm from gnome
sugar-emulator will not start from KDE


Version-Release number of selected component (if applicable):
f17netinstall Alpha i686 install of Gnome and sugar and later yum groupinstall kde

How reproducible:
try to start sugar

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
see attached files ABRT failed said backtrace unusable.
copied to USB
Comment 1 Dave Malcolm 2012-03-01 11:10:34 EST
Thanks for filing this bug report.

How reproducible is this issue?

Unfortunately, attachment 566690 [details] only contains a fragment of a backtrace.

This fragment:  
  Thread 1 (Thread 0xb73446c0 (LWP 2266)):
  #0  0x00000000 in ?? ()
suggests that the program counter has jujmped to the NULL address (and hence the process has segfaulted), but there's no indication of the call sequence that led there.

Could you try running:

  $ gdb --args python /usr/bin/sugar-session
  (gdb) run
  ...get it to crash...
  (gdb) t a a bt

to see if you can obtain a more complete backtrace?

Thanks!
Comment 2 satellitgo 2012-03-01 12:31:58 EST
Created attachment 566898 [details]
Bugzilla would not log me in - text copy of errors

Bugzilla would not log me in - text copy of errors
Comment 3 satellitgo 2012-03-06 05:46:03 EST
Created attachment 567909 [details]
net install of 5 desktops. Sugar fails to start
Comment 4 Paul Coccoli 2013-04-05 18:16:54 EDT
I can't start a sugar session either; dumps me back to gdm.

Also this:

[paul@watt ~]$ sugar-emulator 
GNOME_KEYRING_CONTROL=/run/user/paul/keyring-05dHKP
GNOME_KEYRING_PID=758
** Message: pygobject_register_sinkfunc is deprecated (HippoCanvasBox)
Traceback (most recent call last):
  File "/usr/bin/sugar-session", line 293, in <module>
    main()
  File "/usr/bin/sugar-session", line 232, in main
    from jarabe.desktop import homewindow
  File "/usr/lib/python2.7/site-packages/jarabe/desktop/homewindow.py", line 25, in <module>
    from jarabe.desktop.meshbox import MeshBox
  File "/usr/lib/python2.7/site-packages/jarabe/desktop/meshbox.py", line 48, in <module>
    from jarabe.journal import misc
  File "/usr/lib/python2.7/site-packages/jarabe/journal/misc.py", line 26, in <module>
    from sugar.activity import activityfactory
  File "/usr/lib/python2.7/site-packages/sugar/activity/activityfactory.py", line 34, in <module>
    from sugar.datastore import datastore
  File "/usr/lib/python2.7/site-packages/sugar/datastore/datastore.py", line 77, in <module>
    _get_data_store()
  File "/usr/lib/python2.7/site-packages/sugar/datastore/datastore.py", line 51, in _get_data_store
    DS_DBUS_PATH),
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 241, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 183, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 281, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/datastore-service exited with status 1
Window manager warning: Fatal IO error 11 (Resource temporarily unavailable) on display ':30'.
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 00:58:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:00:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:04:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:12:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:12:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-07-03 16:02:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 15:17:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.